Skip to main content
GET
/
v1
/
promo-codes
/
{id}
Retrieve a promo code
curl --request GET \
  --url https://api.useduro.com/v1/promo-codes/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "code": "<string>",
  "discountType": "<string>",
  "discountValue": 123,
  "duration": "<string>",
  "redeemedCount": 123,
  "remaining": 123,
  "active": true,
  "expiresAt": "<string>",
  "createdAt": "<string>"
}

Authorizations

Authorization
string
header
required

A secret key (sk_test_… / sk_live_…), OAuth token, or identity token.

Path Parameters

id
string
required

Response

200 - application/json

OK

id
string
code
string
discountType
string
discountValue
integer
duration
string
redeemedCount
integer
remaining
integer | null
active
boolean
expiresAt
string | null
createdAt
string